﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectBoat_bae.Entities
{
    public class EntityMotorBoat : EntityBoat
    {
        public void setAdditionalColor(Color color)
        {
            AdditionalColor = color;
        }

        public Color AdditionalColor { get; private set; }
        public bool Body { get; private set; }
        public bool Wing { get; private set; }
        public EntityMotorBoat(int speed, double weight, Color bodyColor, Color
additionalColor, bool body, bool wing) : base(speed, weight, bodyColor)
        {
            AdditionalColor = additionalColor;
            Body = body;
            Wing = wing;
        }
    }
}
