﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectBoat_bae.Generics
{
    internal class BoatsCollectionInfo : IEquatable<BoatsCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public BoatsCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }

        public bool Equals(BoatsCollectionInfo other)
        {
            if (Name != other?.Name)
                throw new NotImplementedException(nameof(Name));
            return true;
        }

        public override int GetHashCode()
        {
            return Name.GetHashCode();
        }

        public override string ToString()
        {
            return Name;
        }
    }
}
